Summary: SME Server specific Samba configuration files and templates
%define name smeserver-samba
Name: %{name}
%define version 0.7.0
%define release 3
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.xz
Obsoletes: e-smith-netlogon
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch

Provides: e-smith-samba
Obsoletes: e-smith-samba
Obsoletes: e-smith-ldap
Provides: e-smith-ldap

Provides: perl(esmith::AD) 
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: e-smith-lib >= 2.6.0-3
Requires: e-smith-base >= 5.8.0-29
Requires: e-smith-formmagick >= 1.4.0-9
Requires: samba >= 4.2.10-7.1.el7.sme
Requires: samba-client >= 4.2.10-7.1.el7.sme
Requires: samba-common >= 4.2.10-7.1.el7.sme
Requires: samba-common-tools >= 4.2.10-7.1.el7.sme
Requires: samba-python >= 4.2.10-7.1.el7.sme
Requires: samba-dc >= 4.2.10-7.1.el7.sme
Requires: samba-winbind >= 4.2.10-7.1.el7.sme
Requires: samba-winbind-clients >= 4.2.10-7.1.el7.sme
Requires: samba-winbind-krb5-locator >= 4.2.10-7.1.el7.sme

#Requires: /usr/bin/tdbbackup
AutoReqProv: no

%changelog
* Thu Mar 02 2017 Jean-Philipe Pialasse <tests@pialasse.com> 0.7.0-3.sme
- updated Requires to at least 4.2.10-7.1.el7.sme 
- instead of exactly. might break on update, but at least let us install it.

* Fri Sep 30 2016 Greg Zartman <gzartman@koozali.org> 0.7.0-1
- Roll alpha 7 for SME 10.  Since we have to fork upstream Samba 4 to 
  provide DC support, we will set requires to the specific forked version
  4.2.10-7.el7.sme [SME: 9817]

* Sun Sep 25 2016 Greg Zartman <gzartman@koozali.org> 0.6.0-1
- Change the way we are naming alpha package versions because it is becoming
  difficult to apply alpha level changes with patch files.  Each alpha 
  release will have its own source archive
- Move smb.conf and AD schema extension fragements to /etc/samba
- Extend AD schema to include the attributes: lockable, removable, 
  and emailForward
- Replace user-create event with user-initialize 
- Update user-modify, user-delete, user-lock events for AD integration
- Clean-up smb.conf fragments now that we have a working Samba 4 deployment, 
  including default configuration dbase parameters
- Create user-AD-enable and user-AD-disable actions 
- Further enhancement and refinement to esmith::AD for server-manager panels

* Sun Jul 24 2016 Greg Zartman <gzartman@koozali.org> 0.1.0-5
- Extend Active Directory schema to include quota and 
  smeCustom attributes via the koozaliUser objectClass
- Remove adjust-samba event and use services2adjust
- Add Group-create-AD action
- Design changes to provision-domain-controller and 
  bootstrap-provision-dc events to provision samba entirely 
  cold using ldif
- Add pseudonym support to esmith::AD
- Further enhancement to esmith::AD to provide user & group 
  management functionality similar to that provided by AccountsDB
- Re-write createlinks to flow a more logical sequence
- Fix dnsforwarder in smb.conf
- Fix several esmith::AD::User and esmith::AD::Group methods broken
  in 0.1-0-3 when we added runtime binding 

* Sun Jun 26 2016 Greg Zartman <gzartman@koozali.org> 0.1.0-4
- Add dnscache and tinydns config per bug [SME: 9711]
- Add iptables preroute rule for DNS per bug [SME: 9711]
- Fix issues with domain admins assignment during provisioning
- Nearly full re-write of user-create-AD action to utilize
  esmith::AD class
- Add Legacy Mode to user-create-AD action to allow this 
  action to work with AccountsDB
- Add user-create-AD to user-create event
- Add user-AD-disable action to disable AD user
- Continued development and enhancement to esmith::AD
  including POD documentation
- Continued development and enhancement to esmith::AD::User
  including POD documentation
- Add esmith::AD::OU to manage Organizational Units in the 
  Active Directory
- Fix realm definition in provision action

* Sat Jun 18 2016 Greg Zartman <gzartman@koozali.org> 0.1.0-3
- Reconfigure provision event to account for default Samba
  complex password policy
- Abstract core LDAP queries in esmith::AD using runtime binding

* Sat Jun 18 2016 Greg Zartman <gzartman@koozali.org> 0.1.0-2
- Set requires to e-smith-base-5.6.0-30+ [SME:8668]
- Set requries for e-smith-LPRng-2.5.0+ [SME:8632]

* Thu Feb 12 2015 Greg Zartman <gzartman@koozali.org> 0.1.0-1
- Roll new smeserver alpha package for Samba4 [SME:8075]

%description
Configuration files and templates for  Samba 4 services.

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist \
    --dir '/var/service/smb' 'attr(1755,root,root)' \
    --file '/var/service/smb/down' 'attr(0644,root,root)' \
    --file '/var/service/smb/run' 'attr(0755,root,root)' \
    --dir '/var/service/smb/supervise' 'attr(0700,root,root)' \
    --dir '/var/service/smb/log' 'attr(1755,root,root)' \
    --file '/var/service/smb/log/run' 'attr(0755,root,root)' \
    $RPM_BUILD_ROOT \
    > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%post

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
